Index: tests/regression/Filling/FillVoidWithMolecule/pre/tensid.data
===================================================================
--- tests/regression/Filling/FillVoidWithMolecule/pre/tensid.data	(revision 08e6c8afef22dd16b9fe558118d4f67b0618a650)
+++ tests/regression/Filling/FillVoidWithMolecule/pre/tensid.data	(revision 08e6c8afef22dd16b9fe558118d4f67b0618a650)
@@ -0,0 +1,58 @@
+# ATOMDATA	Id	name	resName	chainID	x=3	Type	neighbors=4	charge
+1	NA	SLES	1	17.397	20.231	11.737	Na	0	0	0	0	1.000000e+00	
+2	S	SLES	1	16.282	18.88	14.208	S	3	4	5	6	1.330000e+00	
+3	OS1	SLES	1	15.788	18.072	13.08	O	2	7	0	0	-2.800000e-01	
+4	OS2	SLES	1	15.674	20.071	13.658	O	2	0	0	0	-6.500000e-01	
+5	OS3	SLES	1	17.652	18.652	13.81	O	2	0	0	0	-6.500000e-01	
+6	OS4	SLES	1	15.761	18.284	15.406	O	2	0	0	0	-6.500000e-01	
+7	C2	SLES	1	15.018	16.938	13.128	C	3	8	9	10	-1.100000e-01	
+8	H2A	SLES	1	14.033	17.147	13.623	H	7	0	0	0	9.000000e-02	
+9	H2B	SLES	1	15.55	16.115	13.675	H	7	0	0	0	9.000000e-02	
+10	C1	SLES	1	14.84	16.605	11.631	C	7	11	12	13	-1.000000e-02	
+11	H1B	SLES	1	14.337	17.448	11.09	H	10	0	0	0	9.000000e-02	
+12	H1A	SLES	1	15.828	16.408	11.147	H	10	0	0	0	9.000000e-02	
+13	O1	SLES	1	14.087	15.49	11.279	O	10	14	0	0	-3.400000e-01	
+14	C2	SLES	1	13.503	14.727	12.319	C	13	15	16	17	-1.000000e-02	
+15	H2A	SLES	1	12.804	15.366	12.931	H	14	0	0	0	9.000000e-02	
+16	H2B	SLES	1	14.281	14.306	12.998	H	14	0	0	0	9.000000e-02	
+17	C1	SLES	1	12.786	13.897	11.193	C	14	18	19	20	-1.000000e-02	
+18	H1B	SLES	1	11.806	14.197	11.587	H	17	0	0	0	9.000000e-02	
+19	H1A	SLES	1	13.461	13.076	11.632	H	17	0	0	0	9.000000e-02	
+20	O1	SLES	1	12.309	12.793	10.468	O	17	21	0	0	-3.400000e-01	
+21	C1	SLES	1	11.479	11.857	11.141	C	20	22	23	24	-1.800000e-01	
+22	H11	SLES	1	10.639	12.291	11.752	H	21	0	0	0	9.000000e-02	
+23	H12	SLES	1	12.089	11.219	11.829	H	21	0	0	0	9.000000e-02	
+24	C2	SLES	1	10.959	11.079	9.933	C	21	25	26	27	-1.800000e-01	
+25	H21	SLES	1	10.299	11.683	9.265	H	24	0	0	0	9.000000e-02	
+26	H22	SLES	1	11.775	10.623	9.321	H	24	0	0	0	9.000000e-02	
+27	C3	SLES	1	10.166	10	10.552	C	24	28	29	30	-1.800000e-01	
+28	H31	SLES	1	9.374	10.53	11.148	H	27	0	0	0	9.000000e-02	
+29	H32	SLES	1	10.893	9.446	11.208	H	27	0	0	0	9.000000e-02	
+30	C4	SLES	1	9.47	8.973	9.719	C	27	31	32	33	-1.800000e-01	
+31	H41	SLES	1	8.721	9.443	9.035	H	30	0	0	0	9.000000e-02	
+32	H42	SLES	1	10.193	8.397	9.095	H	30	0	0	0	9.000000e-02	
+33	C5	SLES	1	8.845	8.159	10.86	C	30	34	35	36	-1.800000e-01	
+34	H51	SLES	1	8.187	8.811	11.494	H	33	0	0	0	9.000000e-02	
+35	H52	SLES	1	9.641	7.777	11.552	H	33	0	0	0	9.000000e-02	
+36	C6	SLES	1	8.033	6.996	10.484	C	33	37	38	39	-1.800000e-01	
+37	H61	SLES	1	7.025	7.151	10.956	H	36	0	0	0	9.000000e-02	
+38	H62	SLES	1	8.483	6.114	11.014	H	36	0	0	0	9.000000e-02	
+39	C7	SLES	1	7.888	6.707	8.985	C	36	40	41	42	-1.800000e-01	
+40	H71	SLES	1	7.373	7.516	8.415	H	39	0	0	0	9.000000e-02	
+41	H72	SLES	1	8.849	6.466	8.474	H	39	0	0	0	9.000000e-02	
+42	C8	SLES	1	7.025	5.5	9.062	C	39	43	44	45	-1.800000e-01	
+43	H81	SLES	1	6.09	5.813	9.606	H	42	0	0	0	9.000000e-02	
+44	H82	SLES	1	7.598	4.741	9.667	H	42	0	0	0	9.000000e-02	
+45	C9	SLES	1	6.583	4.808	7.82	C	42	46	47	48	-1.800000e-01	
+46	H91	SLES	1	5.987	5.501	7.185	H	45	0	0	0	9.000000e-02	
+47	H92	SLES	1	7.466	4.449	7.245	H	45	0	0	0	9.000000e-02	
+48	C10	SLES	1	5.753	3.675	8.42	C	45	49	50	51	-1.800000e-01	
+49	H10	SLES	1	4.924	4.1	9.048	H	48	0	0	0	9.000000e-02	
+50	H10	SLES	1	6.392	3.056	9.107	H	48	0	0	0	9.000000e-02	
+51	C11	SLES	1	5.134	2.748	7.425	C	48	52	53	54	-1.800000e-01	
+52	H11	SLES	1	4.484	3.362	6.759	H	51	0	0	0	9.000000e-02	
+53	H11	SLES	1	5.961	2.312	6.818	H	51	0	0	0	9.000000e-02	
+54	C12	SLES	1	4.337	1.67	8.165	C	51	55	56	57	-2.700000e-01	
+55	H12	SLES	1	3.268	1.727	7.882	H	54	0	0	0	9.000000e-02	
+56	H12	SLES	1	4.755	0.669	7.942	H	54	0	0	0	9.000000e-02	
+57	H12	SLES	1	4.381	1.794	9.275	H	54	0	0	0	9.000000e-02	
Index: tests/regression/Filling/FillVoidWithMolecule/pre/test.conf
===================================================================
--- tests/regression/Filling/FillVoidWithMolecule/pre/test.conf	(revision 08e6c8afef22dd16b9fe558118d4f67b0618a650)
+++ tests/regression/Filling/FillVoidWithMolecule/pre/test.conf	(revision 08e6c8afef22dd16b9fe558118d4f67b0618a650)
@@ -0,0 +1,83 @@
+# ParallelCarParinello - main configuration file - created with molecuilder
+
+mainname	pcp	# programm name (for runtime files)
+defaultpath	not specified	# where to put files during runtime
+pseudopotpath	not specified	# where to find pseudopotentials
+
+ProcPEGamma	8	# for parallel computing: share constants
+ProcPEPsi	1	# for parallel computing: share wave functions
+DoOutVis	0	# Output data for OpenDX
+DoOutMes	1	# Output data for measurements
+DoOutOrbitals	0	# Output all Orbitals
+DoOutCurr	0	# Ouput current density for OpenDx
+DoOutNICS	0	# Output Nucleus independent current shieldings
+DoPerturbation	0	# Do perturbation calculate and determine susceptibility and shielding
+DoFullCurrent	0	# Do full perturbation
+DoConstrainedMD	0	# Do perform a constrained (>0, relating to current MD step) instead of unconstrained (0) MD
+Thermostat	Berendsen	2.5	# Which Thermostat and its parameters to use in MD case.
+CommonWannier	0	# Put virtual centers at indivual orbits, all common, merged by variance, to grid point, to cell center
+SawtoothStart	0.01	# Absolute value for smooth transition at cell border 
+VectorPlane	0	# Cut plane axis (x, y or z: 0,1,2) for two-dim current vector plot
+VectorCut	0	# Cut plane axis value
+AddGramSch	1	# Additional GramSchmidtOrtogonalization to be safe
+Seed		1	# initial value for random seed for Psi coefficients
+
+MaxOuterStep	0	# number of MolecularDynamics/Structure optimization steps
+Deltat	0.01	# time per MD step
+OutVisStep	10	# Output visual data every ...th step
+OutSrcStep	5	# Output "restart" data every ..th step
+TargetTemp	0.000950045	# Target temperature
+MaxPsiStep	0	# number of Minimisation steps per state (0 - default)
+EpsWannier	1e-07	# tolerance value for spread minimisation of orbitals
+
+# Values specifying when to stop
+MaxMinStep	100	# Maximum number of steps
+RelEpsTotalE	1e-07	# relative change in total energy
+RelEpsKineticE	1e-05	# relative change in kinetic energy
+MaxMinStopStep	0	# check every ..th steps
+MaxMinGapStopStep	0	# check every ..th steps
+
+# Values specifying when to stop for INIT, otherwise same as above
+MaxInitMinStep	100	# Maximum number of steps
+InitRelEpsTotalE	1e-05	# relative change in total energy
+InitRelEpsKineticE	0.0001	# relative change in kinetic energy
+InitMaxMinStopStep	0	# check every ..th steps
+InitMaxMinGapStopStep	0	# check every ..th steps
+
+BoxLength			# (Length of a unit cell)
+20	
+0	20	
+0	0	20	
+
+ECut		128	# energy cutoff for discretization in Hartrees
+MaxLevel	5	# number of different levels in the code, >=2
+Level0Factor	2	# factor by which node number increases from S to 0 level
+RiemannTensor	0	# (Use metric)
+PsiType		0	# 0 - doubly occupied, 1 - SpinUp,SpinDown
+MaxPsiDouble	0	# here: specifying both maximum number of SpinUp- and -Down-states
+PsiMaxNoUp	0	# here: specifying maximum number of SpinUp-states
+PsiMaxNoDown	0	# here: specifying maximum number of SpinDown-states
+AddPsis		0	# Additional unoccupied Psis for bandgap determination
+
+RCut		20	# R-cut for the ewald summation
+StructOpt	0	# Do structure optimization beforehand
+IsAngstroem	1	# 0 - Bohr, 1 - Angstroem
+RelativeCoord	0	# whether ion coordinates are relative (1) or absolute (0)
+MaxTypes	2	# maximum number of different ion types
+
+# Ion type data (PP = PseudoPotential, Z = atomic number)
+#Ion_TypeNr.	Amount	Z	RGauss	L_Max(PP)L_Loc(PP)IonMass	# chemical name, symbol
+Ion_Type1	8	1	1.0	3	3	1.00800000000	Hydrogen	H
+Ion_Type2	3	6	1.0	3	3	12.01100000000	Carbon	C
+#Ion_TypeNr._Nr.R[0]    R[1]    R[2]    MoveType (0 MoveIon, 1 FixedIon)
+Ion_Type1_1	9.782085945	2.645886050	2.645886050	0 # molecule nr 0
+Ion_Type1_2	9.782085945	2.645886050	4.425886024	0 # molecule nr 1
+Ion_Type1_3	10.672039608	3.904536878	3.535886037	0 # molecule nr 2
+Ion_Type1_4	8.532785963	4.787886018	2.645886050	0 # molecule nr 3
+Ion_Type1_5	8.532785963	4.787886018	4.425886024	0 # molecule nr 4
+Ion_Type1_6	6.393632318	3.904536877	3.535886037	0 # molecule nr 5
+Ion_Type1_7	7.283585982	2.645886050	2.645886050	0 # molecule nr 6
+Ion_Type1_8	7.283585982	2.645886050	4.425886024	0 # molecule nr 7
+Ion_Type2_1	9.782085945	3.275186040	3.535886037	0 # molecule nr 8
+Ion_Type2_2	8.532785963	4.158586027	3.535886037	0 # molecule nr 9
+Ion_Type2_3	7.283585982	3.275186040	3.535886037	0 # molecule nr 10
Index: tests/regression/Filling/FillVoidWithMolecule/pre/water.data
===================================================================
--- tests/regression/Filling/FillVoidWithMolecule/pre/water.data	(revision 08e6c8afef22dd16b9fe558118d4f67b0618a650)
+++ tests/regression/Filling/FillVoidWithMolecule/pre/water.data	(revision 08e6c8afef22dd16b9fe558118d4f67b0618a650)
@@ -0,0 +1,4 @@
+# ATOMDATA	 	Charge	F	GroupMeasureTypeNo	GrpTypeNo	Id	Type	chainID	charge	extType	imprData	name	neighbors	occupancy	resName	resSeq	segID	stress	tempFactor	torsion	u	x
+	0	0	0	0	1	O	0	0	-	-	-	0	-	   1	0	0	0	-	0	0	0	0	0	0	
+	0	0	0	0	2	H	0	0	-	-	-	0	-	   1	0	0	0	-	0	0	0	0.758602	0	0.504284	
+	0	0	0	0	3	H	0	0	-	-	-	0	-	   1	0	0	0	-	0	0	0	0.758602	0	-0.504284	
